package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.time.LocalDate;
import java.util.List;

public class AndroidProductionRecipeDTO {
   @ApiModelProperty("菜谱id")
   private @NotNull(
   message = "{menu_recipe_id_null}"
) Long recipeId;
   @ApiModelProperty("菜谱日期列表")
   private @Size(
   min = 1,
   message = "{menu_apply_date_null}"
) List<LocalDate> applyDateList;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public List<LocalDate> getApplyDateList() {
      return this.applyDateList;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setApplyDateList(final List<LocalDate> applyDateList) {
      this.applyDateList = applyDateList;
   }

}
